Bug 108571 - CAN-2003-0858 Netlink local DoS: zebra
CAN-2003-0858 Netlink local DoS: zebra
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: zebra (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 05:21 EST by Mark J. Cox (Product Security)
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 11:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-10-30 05:21:59 EST
Herbert Xu discovered that a number of netlink applications do not
check the source address of incoming packets, assuming they are coming
from the kernel.  As any local user can send unicast netlink messages
to any process on the system, this can lead to a local denial of
service attack, or other local attacks.

Zebra in 2.1AS and 2.1AW is affected
Will add to RHSA-2003:305 errata in progress

Currently embargoed.
Comment 1 Mark J. Cox (Product Security) 2003-11-24 11:31:03 EST
was fixed by RHSA-2003:305

Note You need to log in before you can comment on or make changes to this bug.